## hoz 1.65

=== Makefile ===

CC = gcc

OBJ = hoz.o hozgtk.o hozgtk_c.o hozgtk_i.o hozgtk_s.o hozcli.o
LINKOBJ  = hoz.o hozcli.o
GLINKOBJ  = hoz.o hozgtk.o hozgtk_c.o hozgtk_i.o hozgtk_s.o
CFLAGS = -Wall			 	\
	 -O2                            \
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED
BIN  = /usr/bin/hoz
GBIN  = /usr/bin/ghoz

GTK_COMP = `pkg-config gtk+-2.0 --cflags`
GTK_LINK = `pkg-config gtk+-2.0 --libs`


# `pkg-config gtk+-2.0 --cflags --libs`

.PHONY: all all-before all-after clean clean-custom cli gtk

all: all-before $(BIN) $(GBIN) all-after

cli: all-before ${BIN} all-after

gtk: all-before ${GBIN} all-after

clean: clean-custom
	rm -f $(OBJ)

clean2: clean-custom
	rm -f $(OBJ) ${BIN} ${GBIN}

hoz.o: hoz.c
	$(CC) -c hoz.c -o hoz.o $(CFLAGS) ${LANG}

hozgtk.o: hozgtk.c
	$(CC) -c hozgtk.c -o hozgtk.o $(CFLAGS) $(GTK_COMP) ${LANG}

hozgtk_c.o: hozgtk_c.c
	$(CC) -c hozgtk_c.c -o hozgtk_c.o $(CFLAGS) $(GTK_COMP) ${LANG} 

hozgtk_i.o: hozgtk_i.c
	$(CC) -c hozgtk_i.c -o hozgtk_i.o $(CFLAGS) $(GTK_COMP) ${LANG}

hozgtk_s.o: hozgtk_s.c
	$(CC) -c hozgtk_s.c -o hozgtk_s.o $(CFLAGS) $(GTK_COMP) ${LANG}

hozcli.o: hozcli.c
	$(CC) -c hozcli.c -o hozcli.o $(CFLAGS) ${LANG}

$(BIN): $(LINKOBJ)
	$(CC) $(LINKOBJ) -o $(BIN) $(LIBS)

$(GBIN): $(GLINKOBJ)
	$(CC) $(GLINKOBJ) -o $(GBIN) $(LIBS) $(GTK_LINK)
