=== debian/changelog ===
hoz (1.65-3) unstable; urgency=medium

  * Fixed partsize miscalculation. Closes: #499318
    - Thanks to Carlos G.
  * Upgraded Standards-Version from 3.8.0 to 4.2.1.2
  * Increased compat level to 9
  * Sanitize debian/rules
  * Removed debian/watch file. It was useless. Closes: #450270

 -- Miriam Ruiz <miriam@debian.org>  Wed, 17 Oct 2018 11:47:43 +0200

hoz (1.65-2) unstable; urgency=low

  * Added sanitize_path.patch to make sure that paths are properly handled to
    avoid potential security holes. Closes: #495297
  * Fixed miscalculation of partsize passed to cli via '-c' arg. Closes: #495646
    Thanks to Carlos Galisteo <cgalisteo@k-rolus.net>
  * Upgraded Standards-Version to 3.8.0. No changes needed.
  * Added Homepage field to debian/control
  * Do not ignore make clean errors in debian/rules
  * Fixed man page
  * Changed menu section to "Applications/File Management"

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 18 Aug 2008 14:28:31 +0200

hoz (1.65-1) unstable; urgency=low

  * Initial release (Closes: #394585)
  * Changed i18n system to gettext.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 18 Oct 2006 18:57:35 +0000
