=== debian/control ===
Source: hoz
Section: utils
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper, quilt, gettext, help2man, libgtk2.0-dev
Standards-Version: 4.2.1.2
Homepage: http://hoz.sourceforge.net/

Package: hoz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file splitter that uses the hacha file format
 HOZ is a file splitter, which uses the same file format as the popular
 'Hacha' program.

Package: hoz-gui
Architecture: any
Depends: hoz (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: file splitter that uses the hacha file format
 HOZ is a file splitter, which uses the same file format as the popular
 'Hacha' program.
 .
 This package includes the GUI interface for the program.
